<?php
/* --------------------------------------------------------------------
    calendar.inc - MotionBrowser - User interface for the result of
                   Motion application. Developed by Carlos Ladeira
                   (caladeira@gmail.com)

    Creation:     2006-03-11  Carlos Ladeira
    Last Update:  $Id: calendar.inc 29621 2012-01-22 18:54:39Z jed $

    For more details, please visit:
    http://www.lavrsen.dk/twiki/bin/view/Motion/WebHome

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version..
   -------------------------------------------------------------------- */

function calendar($date)
{
    include("config.inc");
    include("lang_".$lang);

    $year = date('Y', $date);
    $month = date('m', $date);
    $day = date('j', $date);

    // find days in current month with data to display
    $query =
        "SELECT distinct DATE_FORMAT(time_stamp, '%d') ".
        'FROM security '.
        "WHERE time_stamp LIKE '$year-$month-%'";
    $result = mysql_query($query) or die ($err_sel_que3.$query);

    $day_list = ':';
    for ($i = 0; $i < mysql_num_rows($result); $i++) {
        $row = mysql_fetch_array($result);
        $day_list = $day_list . ltrim($row[0],'0') . ":";
    }

    $first_of_month = gmmktime(0,0,0,$month,1,$year);
    list($month, $year, $month_name, $weekday) = explode(',',gmstrftime('%m,%Y,%B,%w',$first_of_month));

    $weekday = ($weekday + 6) % 7;

    // create first day of week based on locales...
    $day0=mktime(0,0,0,1,3,0);

    $listdays = '';
    for($ij=0;$ij<=6;$ij++) {
        $listdays .= "<th>".strtoupper(substr(strftime("%a",$day0),0,1))."</th>";
        $day0+=86400;
    }
    //istdays='<th>L</th><th>M</th><th>M</th><th>J</th><th>V</th><th>S</th><th>D</th>';

    $calendar = 
        '<table class="minicalendar">'."\n".
        '<caption class="calendar-month">'.
        '<a href="'.$_SERVER['PHP_SELF'].'?view_date='.mktime(0, 0, 0, $month-1, $day, $year).
        '"><img src=arrow_left.gif border=0 alt="' . $month_previous . '" title="' . $month_previous . '"></a>&nbsp;&nbsp;'.
        htmlentities(ucfirst($month_name)).'&nbsp;'.$year.
        '&nbsp;&nbsp;<a href="'.$_SERVER['PHP_SELF'].'?view_date='.mktime(0, 0, 0, $month+1, $day, $year).
        '"><img src=arrow_right.gif border=0 alt="' . $month_next . '" title="' . $month_next . '"></a>'.
        '</span></caption>'."\n".'<tr class="calendar-header">'.
        $listdays.
        //'<th>L</th><th>M</th><th>M</th><th>J</th><th>V</th><th>S</th><th>D</th>'.
        "</tr>\n<tr>";

    if ($weekday > 0) $calendar .= '<td colspan="'.$weekday.'">&nbsp;</td>';

    for ($dd=1,$days_in_month=gmdate('t',$first_of_month); $dd<=$days_in_month; $dd++,$weekday++) {
        if ($weekday == 7){
            $weekday   = 0; #start a new week
            $calendar .= "</tr>\n<tr>";
        }

        if ($weekday > 4) {
            if (strpos($day_list, ":$dd:") !== false) $day_class = 'weekend-day-with-data';
            else $day_class = 'weekend-day';
        }
        else {
            if (strpos($day_list, ":$dd:") !== false) $day_class = 'normal-day-with-data';
            else $day_class = 'normal-day';
        }

        if ($dd == $day) {
            if (strpos($day_list, ":$dd:") !== false) $calendar .= '<td class="selected-day-with-data">'.$dd.'</td>';
            else $calendar .= '<td class="selected-day">'.$dd.'</td>';
        }
        else $calendar .= 
            '<td class="'.$day_class.'">'.
            '<a href="'.$_SERVER['PHP_SELF'].'?view_date='.mktime(0, 0, 0, $month, $dd, $year).'">'.$dd.'</a>'.
            '</td>';
    }

    if ($weekday != 7) $calendar .= '<td colspan="'.(7-$weekday).'">&nbsp;</td>';

    $calendar .= '</tr>';
    $calendar .= '<tr><td colspan=7 align=center class=calendar-footer><a href="'.$_SERVER['PHP_SELF'].'?view_date='.time().'"'.">$today</a></td></tr>";
    $calendar .= "</table>\n";

    return $calendar;
}
?>
