#!/bin/sh
#------------------------------------------------------------------------------
# /var/install/dialog.d/MOTION_DEVICE.sh
#
# Copyright (c) 2008-2011 The Eisfair Team, team(at)eisfair(dot)org
#
# Creation:     2008-08-01  jed
# Last Update:  $Id: MOTION_DEVICE.sh 27835 2011-03-18 19:10:05Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

#----------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
#----------------------------------------------------------------------------
exec_dialog()
{
    win="${p2}"

    sellist="/dev/video0,/dev/video1,/dev/video2,/dev/video3,/dev/video4,/dev/video5,/dev/video6,/dev/video7,/dev/video8"
    sellist="${sellist},/dev/video9,/dev/video10,/dev/video11,/dev/video12,/dev/video13,/dev/video14,/dev/video15"

    if [ -z "${value}" ]
    then
        value="/dev/video0"
    fi

    ece_select_list_dlg "${win}" "Select Video Device" "${sellist}"
}

#----------------------------------------------------------------------------
# main routine
#----------------------------------------------------------------------------

cui_init
cui_run

#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------

exit 0
