<?php
/* ---------------------------------------------------------------------
    thumbnail.php - MotionBrowser - User interface for the result of
                    Motion application. Developed by Carlos Ladeira
                    (caladeira@gmail.com)

    Creation:     2006-03-11  Carlos Ladeira
    Last Update:  $Id: thumbnail.php 29604 2012-01-22 15:00:06Z jed $

    For more details, please visit:
    http://www.lavrsen.dk/twiki/bin/view/Motion/WebHome

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
   -------------------------------------------------------------------- */

    // Output a thumbnail of o provided bigger image.

    // Content type
    header('Content-type: image/jpeg');
    
    // File and new size
    $filename = $_GET['image'];
    $newwidth = $_GET['width'];
    $newheight = $_GET['height'];

    // Get image size
    list($width, $height) = getimagesize($filename);
    
    // Prepare thumbnail and load image
    $thumb = imagecreatetruecolor($newwidth, $newheight);
    $source = imagecreatefromjpeg($filename);
    
    // Resize image to the thumbnail
    imagecopyresized($thumb, $source, 0, 0, 0, 0, $newwidth, $newheight, $width, $height);
    
    // Output result
    imagejpeg($thumb);
    
    // Remove temps
    imagedestroy($thumb);
    imagedestroy($source);
?> 
